ru:
  activemodel:
    attributes:
      saml/provider:
        display_name: Имя
        identifier: Идентификатор
        secret: Ключ
        scope: Область применения
        assertion_consumer_service_url: URL-адрес ACS (Служба Поддержки Потребителей)
        limit_self_registration: Ограничение самостоятельной регистрации
        sp_entity_id: Идентификатор объекта обслуживания
        metadata_url: URL метаданных провайдера идентификации
        name_identifier_format: Формат идентификатора имени
        idp_sso_service_url: Конечная точка входа провайдера идентификации
        idp_slo_service_url: Конечная точка выхода провайдера идентификации
        idp_cert: Публичный сертификат провайдера идентификации
        authn_requests_signed: Подпись запросов аутентификации SAML
        want_assertions_signed: Требовать подписанные ответы
        want_assertions_encrypted: Требовать зашифрованные ответы
        certificate: Сертификат, используемый для запросов SAML
        private_key: Соответствующий закрытый ключ для запросов SAML
        signature_method: Алгоритм подписи
        digest_method: Алгоритм дайджеста
        format: "Формат"
        icon: "Пользовательская иконка"
  activerecord:
    errors:
      models:
        saml/provider:
          invalid_certificate: "не является допустимым сертификатом в формате PEM: %{additional_message}"
          invalid_private_key: "не является допустимым закрытым ключом в формате PEM: %{additional_message}"
          certificate_expired: "просрочен и больше не может быть использован."
          unmatched_private_key: "не принадлежит данному сертификату"
  saml:
    menu_title: Провайдеры SAML
    info:
      title: "Параметры конфигурации протокола SAML"
      description: >
        Используйте эти параметры для настройки подключения провайдера идентификации.
    metadata_parser:
      success: "Конфигурация успешно обновлена с использованием метаданных провайдера идентификации."
      invalid_url: "Предоставленный URL-адрес метаданных недействителен. Укажите URL-адрес HTTP(s)."
      error: "Не удалось получить метаданные провайдера идентификации: %{error}"
    providers:
      label_empty_title: "Провайдеры SAML еще не настроены."
      label_empty_description: "Добавьте провайдера, чтобы увидеть их здесь."
      label_automatic_configuration: Автоматическая настройка
      label_metadata: Метаданные
      label_metadata_endpoint: Конечная точка метаданных OpenProject
      label_openproject_information: Информация OpenProject
      label_configuration_details: "Конечные точки и сертификаты провайдеров идентификации"
      label_configuration_encryption: "Подписи и шифрование"
      label_add_new: Новый провайдер SAML
      label_edit: Редактировать провайдер SAML %{name}
      label_uid: Внутренний идентификатор пользователя
      label_mapping: Привязки
      label_mapping_for: "Привязки для: %{attribute}"
      label_requested_attribute_for: "Запрошенный атрибут для: %{attribute}"
      no_results_table: Провайдеры SAML еще не определены.
      plural: Провайдеры SAML
      singular: Провайдер SAML
      requested_attributes: Запрошенные атрибуты
      attribute_mapping: Привязки атрибутов
      attribute_mapping_text: >
        Следующие поля определяют, какие атрибуты, предоставляемые провайдером SAML, используются для предоставления атрибутов пользователя в OpenProject.
      metadata:
        dialog: "Это URL-адрес, по которому доступны метаданные OpenProject SAML. При необходимости используйте его для настройки провайдера идентификации:"
      upsale:
        description: Подключите OpenProject к провайдеру SAML
      request_attributes:
        title: 'Запрошенные атрибуты'
        legend: >
          Эти атрибуты добавляются к метаданным SAML XML, чтобы указать провайдеру идентификации, какие атрибуты требуются OpenProject. Вам все равно может потребоваться явно настроить провайдера для отправки этих атрибутов. Обратитесь к документации вашего провайдера идентификации.
        name: 'Запрошенный ключ атрибута'
        format: 'Формат атрибута'
      section_headers:
        configuration: "Основная настройка"
        attributes: "Атрибуты"
      section_texts:
        display_name: "Настройте отображаемое имя провайдера SAML."
        metadata: "Предварительное заполнение конфигурации с помощью URL-адреса метаданных или путем вставки XML метаданных"
        metadata_form: "Если у провайдера идентификации есть конечная точка метаданных или возможность загрузки XML-данных, добавьте ее ниже для предварительного заполнения конфигурации."
        metadata_form_banner: "Редактирование метаданных может переопределить существующие значения в других разделах. "
        configuration: "Настройте URL-адреса конечных точек для провайдера идентификации, сертификатов и других опций SAML."
        configuration_metadata: "Эта информация была предварительно заполнена с использованием метаданных. В большинстве случаев она не требует редактирования."
        encryption: "Настройка подписей и шифрования для запросов и ответов SAML."
        encryption_form: "При желании вы можете зашифровать ответ или подписать запросы от OpenProject."
        mapping: "Вручную настройте привязки между ответом SAML и атрибутами пользователя в OpenProject."
        requested_attributes: "Определите набор атрибутов, которые будут отправлены в запросе SAML провайдеру идентификации."
      seeded_from_env: "Этот провайдер был инициализирован из конфигурации среды. Он не может быть отредактирован."
    settings:
      metadata_none: "У меня нет метаданных"
      metadata_url: "URL-адрес метаданных"
      metadata_xml: "Метаданные XML"
    instructions:
      documentation_link: >
        Обратитесь к [документации по настройке провайдеров SAML](docs_url) для получения дополнительной информации об этих параметрах.
      display_name: >
        Имя провайдера. Оно будет отображаться как кнопка входа и в списке провайдеров.
      metadata_none: >
        Ваш провайдер идентификации не имеет конечной точки метаданных или возможности загрузки XML. Вы можете настроить это вручную.
      metadata_url: >
        Ваш провайдер идентификации предоставляет URL-адрес метаданных.
      metadata_xml: >
        Ваш провайдер идентификации предоставляет XML-загрузку метаданных.
      limit_self_registration: >
        Если эта опция включена, пользователи могут регистрироваться с помощью этого провайдера только в том случае, если настройка саморегистрации позволяет это сделать.
      sp_entity_id: >
        Идентификатор объекта у провайдера идентификации (SP). Иногда также обозначается как Audience. Это уникальный клиентский идентификатор экземпляра OpenProject.
      idp_sso_service_url: >
        URL-адрес конечной точки входа провайдера идентификации.
      idp_slo_service_url: >
        URL-адрес конечной точки входа провайдера идентификации.
      idp_cert: >
        Введите публичный сертификат провайдера идентификации в формате X509 PEM. Вы можете ввести несколько сертификатов, разделив их с помощью новой строки.
      name_identifier_format: >
        Установите формат идентификатора имени для SAML.
      sp_metadata_endpoint: >
        Это URL-адрес, по которому доступны метаданные SAML. При необходимости используйте его для настройки провайдера идентификации.
      mapping: >
        Настройте привязку между ответом SAML и атрибутами пользователя в OpenProject. Вы можете настроить несколько имен атрибутов для поиска. OpenProject выберет первый доступный атрибут из ответа SAML.
      mapping_login: >
        Атрибуты SAML из ответа, используемые для входа в систему.
      mapping_mail: >
        Атрибуты SAML из ответа, используемые для электронной почты пользователя.
      mapping_firstname: >
        Атрибуты SAML из ответа, используемые для имени.
      mapping_lastname: >
        Атрибуты SAML из ответа, используемые для фамилии.
      mapping_uid: >
        Атрибут SAML, используемый для назначения внутреннего идентификатора пользователя. Оставьте пустым, чтобы вместо него использовать атрибут name_id
      request_uid: >
        Атрибут SAML, используемый для запроса внутреннего идентификатора пользователя. По умолчанию для этого поля будет использоваться name_id.
      requested_attributes: >
        Эти атрибуты добавляются в XML-запрос SAML, чтобы сообщить провайдеру идентификации, какие атрибуты требуются OpenProject.
      requested_format: >
        Формат запрашиваемого атрибута. Используется для указания формата атрибута в запросе SAML. Дополнительную информацию см. в [документации по настройке запрашиваемых атрибутов](docs_url).
      authn_requests_signed: >
        Если установлено, то OpenProject подпишет запрос SAML. Вам нужно будет предоставить сертификат подписи и закрытый ключ, используя поля ниже.
      want_assertions_signed: >
        Если установлено, то OpenProject будет требовать подписанные ответы от провайдера идентификации, используя собственную пару ключей сертификата. OpenProject проверит подпись по сертификату из раздела основной настройки.
      want_assertions_encrypted: >
        Если эта опция включена, то провайдер идентификации должен зашифровать свой ответ, используя предоставленную вами пару сертификатов.
      certificate: >
        Введите сертификат X509 в формате PEM, используемый OpenProject для подписания запросов SAML.
      private_key: >
        Введите закрытый ключ X509 в формате PEM для вышеуказанного сертификата. Это должен быть закрытый ключ RSA.
      signature_method: >
        Выберите алгоритм подписи, который будет использовать OpenProject для подписи запроса SAML. (По умолчанию: %{default_option}).
      digest_method: >
        Выберите алгоритм дайджеста, который будет использовать OpenProject для подписи запроса SAML.  (По умолчанию: %{default_option}).
      icon: >
        При необходимости укажите публичный URL-адрес графической иконки, которая будет отображаться рядом с названием провайдера.
      metadata_for_idp: >
        Эта информация может быть запрошена вашим провайдером SAML.
